<?php
require "header.php";
$admin = true;
require "authenticatie.php";
?>

<p><div class="big">Bestelling uitvoeren</div><br>

<p>

<?php

$verwijder = $_GET["verwijder"];

if ($verwijder) {

	$sql = "DELETE FROM Bestelling WHERE KLANT_ID=$verwijder";
	
	$resultaat = mysql_query($sql);

	if ($resultaat) {

		echo "De bestelling is verwijderd.<br><p>";

	} else {

		echo "De bestelling kon niet verwijderd worden. Neem contact op met de webmaster";

	}

}

$showklantid = $_GET["showklant"];

if ($showklantid) {

	$sql = "SELECT * FROM Artikel, Bestelling, Klant WHERE Bestelling.ARTIKEL_ID=Artikel.ARTIKEL_ID AND Bestelling.KLANT_ID=Klant.KLANT_ID AND Klant.KLANT_ID=$showklantid";

	$resultaat  = mysql_query($sql); // voer SQL code uit
	if (mysql_num_rows($resultaat) > 0) {

		echo "<table border=2 cellpadding=0 cellspacing=0>";
		echo "<tr><td><b>Naam</b></td><td><b>Aantal</b></td><td><b>Totaalprijs</b></td></tr>"; // bovenste regel
		while ($rij = mysql_fetch_array($resultaat)) {
			$artikelid = $rij["ARTIKEL_ID"];
			echo "<tr>";
			echo "<td>".$rij["Naam"]."</td>";
			echo "<td>".$rij["Aantal"]."</td>";
			$prijs = number_format($rij["Prijs"]*$rij["Aantal"], 2, ',', ' ');
			echo "<td>".$prijs."</td>";
			echo "</tr>";
			$totaal = $totaal + $prijs;
		}
		echo "</table>";
	}

	echo "<p>Totaalprijs: ".number_format($totaal, 2, ',', ' ')."<br>";

	$voorletters = mysql_result($resultaat, 0, "Voorletters");
	$tussenvoegsel = mysql_result($resultaat, 0, "Tussenvoegsel");
	$achternaam = mysql_result($resultaat, 0, "Achternaam");
	$geslacht = mysql_result($resultaat, 0, "Geslacht");
	$adres = mysql_result($resultaat, 0, "Adres");
	$pc = mysql_result($resultaat, 0, "Postcode");
	$plaats = mysql_result($resultaat, 0, "Plaats");
	$telefoon = mysql_result($resultaat, 0, "Telefoon_prive");
	$mailadres = mysql_result($resultaat, 0, "Email_prive");
	$reknr = mysql_result($resultaat, 0, "Rekeningnummer");

	if ($tussenvoegsel) {
		$naam = $voorletters." ".$tussenvoegsel." ".$achternaam;
	} else {
		$naam = $voorletters." ".$achternaam;
	}

	if ($geslacht == "m") {
		$naam = "De heer ".$naam;
	} else {
		$naam = "Mevouw ".$naam;
	}

	echo "<p><b>Klantgegevens:</b><br><p>";
	echo $naam."<br>";
	echo $adres."<br>";
	echo "$pc $plaats<br>";
	echo "Telefoon: $telefoon<br>";
	echo "E-mail: <a href=\"mailto:$mailadres\">$mailadres</a><br>";
	echo "Rekeningnummer: $reknr<br>";

	echo "<p>Als de bestelling is uitgevoerd, kunt u hem <a href=\"$PHP_SELF?verwijder=$showklantid\" onClick=\"return Confirm(2)\">verwijderen</a>.<br><p>";


} else {

	$sql = "SELECT  * , sum( Bestelling.Aantal )  AS TotaalAantal FROM Bestelling, Klant WHERE Klant.KLANT_ID = Bestelling.KLANT_ID GROUP  BY Klant.KLANT_ID";
	$result = mysql_query($sql);

	if (mysql_num_rows($result) > 0) {

		echo "De volgende klanten hebben een bestelling open staan:<br><p>";

		while ($rij = mysql_fetch_array($result)) {
			$voorletters = $rij["Voorletters"];
			$tussenvoegsel = $rij["Tussenvoegsel"];
			$achternaam = $rij["Achternaam"];
			$showklantid = $rij["KLANT_ID"];
			$totaal = $rij["TotaalAantal"];

			if ($tussenvoegsel) {
				$naam = $voorletters." ".$tussenvoegsel." ".$achternaam;
			} else {
				$naam = $voorletters." ".$achternaam;
			}

			echo "<a href=\"factuur.php?klant=$showklantid\">[factuur]</a>&nbsp;<a href=\"".$_SERVER["PHP_SELF"]."?showklant=$showklantid\">$naam</a> ($totaal artikelen)<br>";

		}


	} else {

		echo "Er zijn momenteel geen openstaande bestellingen";

	}

}

require "footer.php";
?>